/**
 * generated by Xtext 2.15.0
 */
package org.xtext.ungs.drake.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import org.xtext.ungs.drake.DrakeRuntimeModule;
import org.xtext.ungs.drake.DrakeStandaloneSetup;
import org.xtext.ungs.drake.ide.DrakeIdeModule;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class DrakeIdeSetup extends DrakeStandaloneSetup {
  @Override
  public Injector createInjector() {
    DrakeRuntimeModule _drakeRuntimeModule = new DrakeRuntimeModule();
    DrakeIdeModule _drakeIdeModule = new DrakeIdeModule();
    return Guice.createInjector(Modules2.mixin(_drakeRuntimeModule, _drakeIdeModule));
  }
}
